<template lang="pug">
title-bar( icon="plus-circle" @click='$router.push({ name: "ClientCreate" })' ) {{$t("default.nav.members")}}
b-container
	.tile.is-ancestor
		.tile.is-vertical
			.tile.is-parent
				b-card.tile.is-child
					clients-table( :clients='clients' :loading='pending' buttons )
</template>

<script setup>
import ClientsTable from "@/components/client/Table.vue"

import dayjs from "@/common/dayjs"
import { computed, onMounted } from "vue"

import { useClientsStore } from "@/stores/clients"
import { useRouter } from "vue-router"

const cs = useClientsStore()
const $router = useRouter()

const clients = computed(() => cs.clients)
const pending = computed({
	get: () => cs.pending,
	set: val => cs.pending = val
})

const fetch = async () => {
	if (pending.value) return	
	await cs.getClients()
}

onMounted(fetch)
</script>